Get a permanent RUM retention filter

GET https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.uk1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/permanent/{permanent_rf_id}

Présentation

Get a permanent RUM retention filter for a RUM application by its identifier.

Arguments

Paramètres du chemin

Nom

Type

Description

app_id [required]

string

RUM application ID.

permanent_rf_id [required]

string

The identifier of the permanent RUM retention filter.

Réponse

OK

A permanent RUM retention filter object.

Expand All

Champ

Type

Description

data

object

A permanent RUM retention filter.

attributes

object

The attributes of a permanent RUM retention filter.

cross_product_sampling

object

The configuration for cross-product retention filters.

trace_enabled

boolean

Whether the cross-product retention filter for APM traces is enabled.

trace_sample_rate

double

The sample rate for the APM cross-product retention filter, between 0 and 100.

description

string

A description of what the filter retains.

editability

object

Indicates which cross-product fields of a permanent RUM retention filter can be updated.

trace_editable

boolean

Whether the APM trace cross-product configuration of the filter can be updated.

name

string

The display name of the permanent retention filter.

id

enum

The identifier of a permanent RUM retention filter. Allowed enum values: rum_apm_flat_sampling,synthetics_sessions,forced_replay_sessions

type

enum

The type of the resource. The value should always be permanent_retention_filters. Allowed enum values: permanent_retention_filters

default: permanent_retention_filters

{
  "data": {
    "attributes": {
      "cross_product_sampling": {
        "trace_enabled": true,
        "trace_sample_rate": 25
      },
      "description": "All sessions generated by Synthetics are retained at 100%.",
      "editability": {
        "trace_editable": true
      },
      "name": "Synthetics Sessions"
    },
    "id": "synthetics_sessions",
    "type": "permanent_retention_filters"
  }
}

Not Authorized

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Exemple de code

                  # Path parameters
export app_id="CHANGE_ME"
export permanent_rf_id="synthetics_sessions"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/rum/applications/${app_id}/retention_filters/permanent/${permanent_rf_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get a permanent RUM retention filter returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_retention_filters_api import RumRetentionFiltersApi
from datadog_api_client.v2.model.rum_permanent_retention_filter_id import RumPermanentRetentionFilterID

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = RumRetentionFiltersApi(api_client)
    response = api_instance.get_permanent_retention_filter(
        app_id="app_id",
        permanent_rf_id=RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS,
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Get a permanent RUM retention filter returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::RumRetentionFiltersAPI.new
p api_instance.get_permanent_retention_filter("app_id", RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Get a permanent RUM retention filter returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRetentionFiltersApi(apiClient)
	resp, r, err := api.GetPermanentRetentionFilter(ctx, "app_id", datadogV2.RUMPERMANENTRETENTIONFILTERID_SYNTHETICS_SESSIONS)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRetentionFiltersApi.GetPermanentRetentionFilter`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumRetentionFiltersApi.GetPermanentRetentionFilter`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Get a permanent RUM retention filter returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRetentionFiltersApi;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterID;
import com.datadog.api.client.v2.model.RumPermanentRetentionFilterResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    RumRetentionFiltersApi apiInstance = new RumRetentionFiltersApi(defaultClient);

    try {
      RumPermanentRetentionFilterResponse result =
          apiInstance.getPermanentRetentionFilter(
              "app_id", RumPermanentRetentionFilterID.SYNTHETICS_SESSIONS);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling RumRetentionFiltersApi#getPermanentRetentionFilter");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Get a permanent RUM retention filter returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;
use datadog_api_client::datadogV2::model::RumPermanentRetentionFilterID;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = RumRetentionFiltersAPI::with_config(configuration);
    let resp = api
        .get_permanent_retention_filter(
            "app_id".to_string(),
            RumPermanentRetentionFilterID::SYNTHETICS_SESSIONS,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get a permanent RUM retention filter returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.RumRetentionFiltersApi(configuration);

const params: v2.RumRetentionFiltersApiGetPermanentRetentionFilterRequest = {
  appId: "app_id",
  permanentRfId: "synthetics_sessions",
};

apiInstance
  .getPermanentRetentionFilter(params)
  .then((data: v2.RumPermanentRetentionFilterResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"